org.eclipse.microprofile.fault.tolerance.tck.invalidParameters

## Class AsynchronousClientForValidationClass

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.invalidParameters.AsynchronousClientForValidationClass

    @ApplicationScoped
     @Asynchronous
    public class AsynchronousClientForValidationClass
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AsynchronousClientForValidationClass()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getString()` Invalid because the class is annotated with `Asynchronous` but the method does not return Future or CompletionStage.
`Future<String>` `getStringAsync()` Valid

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsynchronousClientForValidationClass

    public AsynchronousClientForValidationClass()

### Method Detail

#### getStringAsync

    public Future<String> getStringAsync()

Valid

Returns:
  Future("foo")

#### getString

    public String getString()

Invalid because the class is annotated with `Asynchronous` but the method does not return Future or CompletionStage.

Returns:
  "foo"